Package de.willuhn.jameica.hbci.gui.controller

# Class KontoauszugPdfControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.KontoauszugPdfControl

public class KontoauszugPdfControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die Anzeige der Kontoauszuege im PDF-Format.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`KontoauszugPdfControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getAbrufdatum()`
Liefert das Eingabefeld mit dem Abrufdatum.
`de.willuhn.jameica.gui.input.Input`
`getBisDatum()`
Liefert das Eingabefeld mit dem Bis-Datum.
`de.willuhn.jameica.gui.input.Input`
`getDatei()`
Liefert das Eingabefeld fuer die Datei.
`de.willuhn.jameica.gui.input.Input`
`getErstellungsdatum()`
Liefert das Eingabefeld mit dem Erstellungsdatum.
`de.willuhn.jameica.gui.input.Input`
`getJahr()`
Liefert das Eingabefeld mit dem Jahr.
`de.willuhn.jameica.gui.input.TextAreaInput`
`getKommentar()`
Liefert das Eingabefeld mit dem Kommentar.
`KontoInput`
`getKonto()`
Liefert das Auswahlfeld fuer das Konto.
`KontoauszugPdfList`
`getList()`
Liefert die Tabelle mit den Kontoauszuegen.
`de.willuhn.jameica.gui.input.Input`
`getName1()`
Liefert das Eingabefeld fuer Name 1.
`de.willuhn.jameica.gui.input.Input`
`getName2()`
Liefert das Eingabefeld fuer Name 2.
`de.willuhn.jameica.gui.input.Input`
`getName3()`
Liefert das Eingabefeld fuer Name 3.
`de.willuhn.jameica.gui.input.Input`
`getNummer()`
Liefert das Eingabefeld mit der Auszugsnummer.
`de.willuhn.jameica.gui.input.Input`
`getQuittierungsdatum()`
Liefert das Eingabefeld mit dem Quittierungsdatum.
`de.willuhn.jameica.gui.input.Input`
`getVonDatum()`
Liefert das Eingabefeld mit dem Von-Datum.
`void`
`handleOpen()`
Oeffnet die Datei des Kontoauszuges.
`boolean`
`handleStore()`
Uebernimmt die Aenderungen an dem Kontoauszug.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoauszugPdfControl

public KontoauszugPdfControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getList

public KontoauszugPdfList getList()
Liefert die Tabelle mit den Kontoauszuegen.

Returns:
  die Tabelle mit den Kontoauszuegen.

### getKonto

public KontoInput getKonto() throws RemoteException
Liefert das Auswahlfeld fuer das Konto.

Returns:
  das Auswahlfeld fuer das Konto.
Throws:
  `RemoteException`

### getAbrufdatum

public de.willuhn.jameica.gui.input.Input getAbrufdatum() throws RemoteException
Liefert das Eingabefeld mit dem Abrufdatum.

Returns:
  Eingabefeld.
Throws:
  `RemoteException`

### getErstellungsdatum

public de.willuhn.jameica.gui.input.Input getErstellungsdatum() throws RemoteException
Liefert das Eingabefeld mit dem Erstellungsdatum.

Returns:
  Eingabefeld.
Throws:
  `RemoteException`

### getQuittierungsdatum

public de.willuhn.jameica.gui.input.Input getQuittierungsdatum() throws RemoteException
Liefert das Eingabefeld mit dem Quittierungsdatum.

Returns:
  Eingabefeld.
Throws:
  `RemoteException`

### getVonDatum

public de.willuhn.jameica.gui.input.Input getVonDatum() throws RemoteException
Liefert das Eingabefeld mit dem Von-Datum.

Returns:
  Eingabefeld.
Throws:
  `RemoteException`

### getBisDatum

public de.willuhn.jameica.gui.input.Input getBisDatum() throws RemoteException
Liefert das Eingabefeld mit dem Bis-Datum.

Returns:
  Eingabefeld.
Throws:
  `RemoteException`

### getJahr

public de.willuhn.jameica.gui.input.Input getJahr() throws RemoteException
Liefert das Eingabefeld mit dem Jahr.

Returns:
  Eingabefeld.
Throws:
  `RemoteException`

### getNummer

public de.willuhn.jameica.gui.input.Input getNummer() throws RemoteException
Liefert das Eingabefeld mit der Auszugsnummer.

Returns:
  Eingabefeld.
Throws:
  `RemoteException`

### getName1

public de.willuhn.jameica.gui.input.Input getName1() throws RemoteException
Liefert das Eingabefeld fuer Name 1.

Returns:
  das Eingabefeld fuer Name 1.
Throws:
  `RemoteException`

### getName2

public de.willuhn.jameica.gui.input.Input getName2() throws RemoteException
Liefert das Eingabefeld fuer Name 2.

Returns:
  das Eingabefeld fuer Name 2.
Throws:
  `RemoteException`

### getName3

public de.willuhn.jameica.gui.input.Input getName3() throws RemoteException
Liefert das Eingabefeld fuer Name 3.

Returns:
  das Eingabefeld fuer Name 3.
Throws:
  `RemoteException`

### getKommentar

public de.willuhn.jameica.gui.input.TextAreaInput getKommentar() throws RemoteException
Liefert das Eingabefeld mit dem Kommentar.

Returns:
  das Eingabefeld mit dem Kommentar.
Throws:
  `RemoteException`

### getDatei

public de.willuhn.jameica.gui.input.Input getDatei() throws RemoteException
Liefert das Eingabefeld fuer die Datei.

Returns:
  das Eingabefeld fuer die Datei.
Throws:
  `RemoteException`

### handleOpen

public void handleOpen() throws de.willuhn.util.ApplicationException
Oeffnet die Datei des Kontoauszuges.

Throws:
  `de.willuhn.util.ApplicationException`

### handleStore

public boolean handleStore()
Uebernimmt die Aenderungen an dem Kontoauszug.

Returns:
  true, wenn das Speichern erfolgreich war.